%define	Summary	A tool for testing SIP-protocol implementation (RFC3261)

Summary:	%{Summary}
Name:		sipbomber
Version:	0.7
Release:	%mkrel 2
License:	GPL
Group:		Networking/Other
URL:		http://www.metalinkltd.com/downloads.php
Source0:	%{name}_%{version}.tar.bz2
Patch0:		sipbomber_0.7-no_extra_semicolons.diff
Patch1:		sipbomber_0.7-testcases_dir.diff
BuildRequires:	libqt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sipbomber is invaluable tool for SIP developers intended for
testing SIP-protocol implementation against rfc3261. Current
version can check only server implementations - (proxies, user
agent servers, redirect servers, and registrars).

%prep

%setup -q -n %{name}
%patch0 -p1
%patch1 -p0

# lib64 fix
find -type f -name "Makefile" | xargs perl -pi -e "s|/lib\b|/%{_lib}|g"

%build
%make OPT="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_menudir}

install -m0755 sipb_main %{buildroot}%{_bindir}/%{name}
install -m0644 testcases/* %{buildroot}%{_datadir}/%{name}/

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{name}" \
	title="SipBomber" \
	longtitle="%{Summary}" \
	needs="x11" \
	icon="development_tools_section.png" \
	section="More Applications/Development/Tools" \
	xdg="true"
EOF

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=SipBomber
Comment=%{Summary}
Exec=%{name}
Icon=development_tools_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Development-Tools;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7-2mdv2007.0
- fix use of summary macro in menu
- add xdg menu

* Sun Feb 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdk
- initial Mandriva package
